class Server {
  constructor() { }
  /**
   * 根据公司查询查归属公司
   */
  queryBelongedToCompanysData() {
    return $store.dispatch("QueryBelongedToCompanys");
  }
  /**
  * 根据Business 查归属公司
  */
  QueryOuListByBusiness(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/mdOu/findMdOuListByBusiness`, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
}
export default Server;