import extend from 'extend';
import qs from 'qs';
import { routers } from '../router';

let util = {

};

function add0(m) { return m < 10 ? '0' + m : m }
util.format = function (shijianchuo, issfm) {
    if (!shijianchuo) {
        return
    } else {
        var time = new Date(shijianchuo);
        var y = time.getFullYear();
        var m = time.getMonth() + 1;
        var d = time.getDate();
        var h = time.getHours();
        var mm = time.getMinutes();
        var s = time.getSeconds();
        if (issfm) {
            return y + '-' + add0(m) + '-' + add0(d) + ' ' + add0(h) + ':' + add0(mm) + ':' + add0(s);
        } else {
            return y + '-' + add0(m) + '-' + add0(d);
        }
    }
}
util.isArray = function isArray(arr) {
    if (typeof Array.isArray === 'function') {
        return Array.isArray(arr);
    }

    return toStr.call(arr) === '[object Array]';
};
util.inOf = function (arr, targetArr) {
    let res = true;
    arr.map(item => {
        if (targetArr.indexOf(item) < 0) {
            res = false;
        }
    });
    return res;
};

util.oneOf = function (ele, targetArr) {
    if (targetArr.indexOf(ele) >= 0) {
        return true;
    } else {
        return false;
    }
};

util.showThisRoute = function (itAccess, currentAccess) {
    if (typeof itAccess === 'object' && itAccess.isArray()) {
        return util.oneOf(currentAccess, itAccess);
    } else {
        return itAccess === currentAccess;
    }
};

// util.getPathObjByName = function (vm, name) {
//     let pathObj = vm.$store.state.routers.filter((item) => {
//         if (item.children.length <= 1) {
//             return item.name === name;
//         } else {
//             let i = 0;
//             let childArr = item.children;
//             let len = childArr.length;
//             while (i < len) {
//                 if (childArr[i].name === name) {
//                     return true;
//                 }
//                 i++;
//             }
//             return false;
//         }
//     })[0];
//     return pathObj;
// };

util.setCurrentPath = function (vm, name) {
    let pathList = []
    let i = $store.state.userMenu.findIndex((item) => {
        return item.actionUrl == name;
    })
    switch (name) {
        case 'feedback':
            pathList.unshift({
                title: '我的建议反馈',
                path: 'feedback',
                name: name
            })
            break;
    }
    if (!!~i) {
        pathList.unshift({
            title: $store.state.userMenu[i].menuName,
            path: $store.state.userMenu[i].actionUrl,
            name: name
        })
        util.getPathObjByName(pathList, $store.state.userMenu[i].menuModuleId);
    }
    pathList.unshift({
        title: '首页',
        path: '/home',
        name: 'home_index'
    })
    $store.commit('setCurrentPath', pathList);
    return pathList
};
util.getPathObjByName = function (list, menuId) {
    let i = $store.state.userMenu.findIndex((item) => {
        return item.menuId == menuId;
    })
    if (i > -1) {
        list.unshift({
            title: $store.state.userMenu[i].menuName,
            path: $store.state.userMenu[i].actionUrl,
            name: name
        })
        util.getPathObjByName(list, $store.state.userMenu[i].menuModuleId);
    }
}

util.openPage = function (vm, name, title) {
    vm.$router.push({
        name: name
    });
    let hasOpened = false;
    vm.pageTagsList.forEach((item, index) => {
        if (item.name === name) {
            hasOpened = true;
            vm.$store.commit('moveToSecond', index);
        }
    });
    if (!hasOpened) {
        vm.$store.commit('increateTag', { name: name, title: title });
    }
};
util.copyPros = function (source, target, excludeNames = [], callback = function () { }) {

    // 强制都是深拷贝
    let tempTarget = extend(true, {}, target);
    if (Object.prototype.toString.call(source) != '[object Object]') {
        console.error('source must be a object!');
        return;
    }
    if (Object.prototype.toString.call(target) != '[object Object]') {
        console.error('target must be a object!');
        return;
    }
    if (excludeNames && Object.prototype.toString.call(excludeNames) != '[object Array]') {
        console.error('excludeNames must be a array!');
        return;
    }
    for (let key of Object.keys(source)) {
        if (!excludeNames || !excludeNames.includes(key)) {
            source[key] = tempTarget[key];
        }
    }
    return source;
};

util.arrCopy = function (arr) {
    let newArr = [];
    arr.forEach((item, i) => {
        let obj = extend(true, {}, item)
        newArr.push(obj);
    })
    return newArr;
}

//用这个
util.getUrlParams = function (url) {
    // !!!这里不能取location.search,因为如果值里面有#那么会有截断现象，只能取href
    const uri = url || location.href
    let searchStr = uri.split('?')[1];
    let result = {};
    if (!searchStr) {
        return result;
    } else {
        return qs.parse(searchStr);
    }
};

util.getDaysDiff = function (startDay, endDay) {
    return Math.floor((endDay - startDay) / 1000 / 60 / 60 / 24 + 0.5);
}

util.closeWebPage = function () {
    if (navigator.userAgent.indexOf("MSIE") > 0) {
        if (navigator.userAgent.indexOf("MSIE 6.0") > 0) {
            window.opener = null;
            window.close();
        } else {
            window.open('', '_top');
            window.top.close();
        }
    } else if (navigator.userAgent.indexOf("Firefox") > 0) {
        window.open("about:blank", "_self").close();
    } else {
        window.open("about:blank", "_self").close();
    }
}
util.getUrlVarsFromRequest = function () {
    var vars = {},
        hash;
    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
    for (var i = 0; i < hashes.length; i++) {
        hash = hashes[i].split('=');
        vars[hash[0]] = decodeURIComponent(hash[1]);
    }
    return vars;
}

util.openTask = function (server, data) {
    if (!server) {
        return;
    }
    server.queryProcessInfoByClaimNo({
        claimNo: data.relClaimNo
    })
        .then(response => {
            let dataResult = response.list[0];
            dataResult.actionType = 'done';
            if (data.isSubmit) {
                dataResult.source = 'other';
                dataResult.isSubmit = data.isSubmit;
            }
            util.openTaskFromBillOfAccount(dataResult);
        })
        .catch(error => { });
}

util.openCreatePayment = function (id, batchNo) {
    let origin = '';
    if (location.origin != location.href.split('/#')[0]) {
        origin = location.href.split('/#')[0];
    } else {
        origin = location.origin;
    }
    const url = `${origin}/#/blank?pageName=create-payment-preparation&id=${id}&batchNo=${batchNo}&singlePage=YES&crctoken=${sessionStorage.crctoken}`;
    window.open(url);
}

util.openTaskFromBillOfAccount = function (data) {
    let singlePage = 'NO';
    let pageName = '';
    let origin = util.getOrigin();
    // let origin = ''; 
    // if(location.origin != location.href.split('/#')[0]){
    //   origin = location.href.split('/#')[0];
    // }else{
    //   origin = location.origin;
    // }
    let url = "";
    let startUserCode = "";
    let currentNodeName = data.currentTaskName;
    let taskDefinitionKey = data.actID;
    let currentTaskId = "";

    // 获取跳转URL
    url = data.taskLocalVariables[0].url;
    if (url) {
        let tr = url.split("?")[0];
        let tp = "create-payment-apply";
        if (!tr) {
            url = tp + url
        }
        url = origin + '/' + url;
    } else {
        $app.$Message.error('该条数据无跳转的URL参数');
        return;
    }
    startUserCode = data.processVariables[0].procStartUserLdapId;

    // 获取当前节点taskId
    currentTaskId = data.currentTaskID;

    if (process.env.API.env === "dev") {
        if (url.indexOf("8080") >= 0) {
            url = origin + url.split("8080")[1];
        } else if (url.indexOf("8081") >= 0) {
            url = origin + url.split("8081")[1];
        } else if (url.indexOf("8082") >= 0) {
            url = origin + url.split("8082")[1];
        } else if (url.indexOf("8083") >= 0) {
            url = origin + url.split("8083")[1];
        }
    }

    for (let item of routers) {
        if (item.name == /([^\?\/])+(?=\?)/.exec(url)[0]) {
            url = url.replace(/([^\?\/]+)(?=\?)/, "#/$1");
            singlePage = 'YES';
            pageName = item.name;
            break;
        }
    }
    //ap
    if (pageName == 'payment-plan') {
        pageName = 'create-payment-apply';
    }
    //gl
    if (pageName == 'payment-plan-gl') {
        pageName = 'create-payment-apply';
    }
    //|| $store.state.reimburseComment.vm.loginInfo.userCode
    let targetUrl = `${url}&singlePage=${singlePage}&pageName=${pageName}&claimId=${data.claimId || data.processVariables[0].formInstId}&claimNo=${data.claimNo}&categoryName=${data.categoryName}&taskNodeType=${data.taskNodeType}&catalogyCode=${data.catalogyCode}&currentTaskId=${currentTaskId}&taskDefinitionKey=${taskDefinitionKey}&currentNodeName=${currentNodeName}&userCode=${
        $store.state.userInfo.userCode || this.getUrlParams().userCode || ''}&startUserCode=${startUserCode}&actionType=${data.actionType}&fromPendingRead=${data.fromPendingRead}&fromPendingFeedBack=${data.fromPendingFeedBack}`;
    if (data.actID && targetUrl.indexOf("&actId=") < 0) {
        targetUrl = targetUrl +
            `&actId=${data.actID}`
    }
    if (data.openMode && targetUrl.indexOf("&openMode=") < 0) {
        targetUrl = targetUrl +
            `&openMode=${data.openMode}`
    }
    if (data.fromPendingFeedBack == 'Y' || data.fromAlreadyFeedBack == 'Y') {
        targetUrl = targetUrl +
            `&feedBackCreateUserCode=${data.feedBackCreateUserCode}&feedBackCreateUserName=${data.feedBackCreateUserName}&feedBackId=${data.id}`
    }

    if (data.fromPendingRead == 'Y' || data.fromAlreadyRead == 'Y') {
        targetUrl = targetUrl +
            `&readId=${data.id}`
    }

    if (data.source) {
        targetUrl = targetUrl +
            `&source=${data.source}`
    }
    if (pageName = 'create-payment-apply') {
        targetUrl = targetUrl +
            `&showPayment=true`
    }
    targetUrl = targetUrl + `&crctoken=${sessionStorage.crctoken}`
    if (data.isSubmit) {
        window.location.replace(targetUrl);
        window.location.reload();
    } else {
        window.open(targetUrl);
    }

}

util.delDataByKey = function (arr, keys = "") {
    if (typeof keys == "string") {
        keys = [keys];
    }

    return arr.filter(item => {
        return keys.indexOf(item.key) < 0;
    })
}
util.openByClaimIdAndClaimNo = function (claimId, claimNo, categoryName, createdTime, updateTime, opemFromPayPlatform) {
    window.$store
        .dispatch("QueryProcessInfoByClaimNo", {
            claimNo: claimNo,
        })
        .then(response => {
            let dataResult = response.list[0];
            let origin = "";
            if (location.origin != location.href.split('/#')[0]) {
                origin = location.href.split('/#')[0];
            } else {
                origin = location.origin;
            }
            let params = {
                singlePage: "YES",
                claimId: claimId,
                showPayment: true, //控制是否可编辑
                // editPaymentInfo: true,
                paymentFlag: true,
                source: "manager",
                actionType: "done",
                actId: dataResult ? dataResult.actId : 'FROM_HAIDIANYINKE',
                // tpCode: data.tpCode,
                categoryName: categoryName,
                createdTime: createdTime,
                updateTime: updateTime,
                opemFromPayPlatform: opemFromPayPlatform
            };
            if (response.list.length != 0) {
                let processParams = (response.list[0].taskLocalVariables[0].url).split("?");
                let processArr = processParams[1].split("&");
                for (let i = 0; i < processArr.length; i++) {
                    if (processArr[i].split("=")[0] == "procInstId") {
                        params.procInstId = processArr[i].split("=")[1]
                    }
                    if (processArr[i].split("=")[0] == "taskId") {
                        params.taskId = processArr[i].split("=")[1]
                    }
                }
            }
            let url = "";
            url = `${origin}/#/create-payment-apply?pageName=create-payment-apply&${qs.stringify(
                params
            )}&crctoken=${sessionStorage.crctoken}`
            window.open(url);
        })
    // .catch(error => {});  
}

util.startProcess = function (obj) {
    let fullTpCode = obj.tpCode;
    let categoryCode = obj.categoryCode;
    let startProcess = function () {
        let tpCode = fullTpCode.split('?')[0];
        let tpCodeParams = {};
        if (fullTpCode.split('?')[1]) {
            tpCodeParams = qs.parse(fullTpCode.split('?')[1]);
        }

        // 处理从草稿、待办、已办过来的付款申请的大类模板
        if (tpCodeParams.backUrl && !!obj.source) {
            tpCode = tpCodeParams.backUrl;
        }

        let params = Object.assign({}, obj, {
            actionType: obj.actionType || 'start',
            categoryName: obj.categoryName,
            categoryCode: obj.categoryCode,
            ...tpCodeParams,
        });
        let origin = "";
        if (location.origin != location.href.split('/#')[0]) {
            origin = location.href.split('/#')[0];
        } else {
            origin = location.origin;
        }
        for (let item of routers) {
            if (item.name == tpCode) {
                params.singlePage = 'YES';
                break;
            }
        }
        if (params.singlePage == 'YES') {
            window.open(
                `${origin}/#/blank?pageName=${tpCode}&userCode=${$store.state.userInfo.userCode}&startUserCode=${$store.state.userInfo.userCode}&${qs.stringify(params)}&crctoken=${sessionStorage.crctoken}`
            );
        } else {
            window.open(
                `${origin}/${tpCode}?userCode=${$store.state.userInfo.userCode}&startUserCode=${$store.state.userInfo.userCode}${qs.stringify(params)}&source=${obj.source}&crctoken=${sessionStorage.crctoken}`
            );
        }
    }
    if (!fullTpCode) {
        if (categoryCode) {
            $axios.post(`${process.env.API.emsBaseDataURL}/category/findCategoryByCode?categoryCode=${categoryCode}`).then((response) => {
                let result = response.data;
                if (!result || !result.tpCode) {
                    $app.$Message.warning({
                        content: `【${obj.categoryName}】流程没有配置表单请求路径, 无法发起流程`,
                        duration: 5
                    });
                } else {
                    fullTpCode = (result.tpCode == "payment-plan-gl" || result.tpCode == "payment-plan") ? "create-payment-apply" : result.tpCode;
                }
                startProcess();
            })
                .catch((error) => {
                    let msg = error.body.data.message || "服务异常，请联系管理员";
                    $app.$Message.warning({
                        content: msg,
                        duration: 5
                    });
                })
        }
    } else {
        startProcess();
    }
}



util.showDiagram = function (row) {
    let taskDefinitionKey = row.actID;
    window.open(
        `${
        row.processVariables[0].baseUrl
        }/diagram-viewer/index.html?actId=${taskDefinitionKey}&processDefinitionId=${
        row.processVariables[0].processDefinitionId
        }&processInstanceId=${row.procesInstanceID}`
    );
}

util.showDiagramByClaimNo = function (claimNo) {
    window.$store
        .dispatch("QueryProcessInfoByClaimNo", {
            claimNo
        })
        .then(response => {
            if (!response.list[0]) {
                return $app.$Message.warning("暂无可跳转链接")
            }
            let dataResult = response.list[0];
            let taskDefinitionKey = dataResult.actID;
            window.open(
                `${
                dataResult.processVariables[0].baseUrl
                }diagram-viewer/index.html?actId=${taskDefinitionKey}&processDefinitionId=${
                dataResult.processVariables[0].processDefinitionId
                }&processInstanceId=${dataResult.procesInstanceID}`
            );
        })
        .catch(error => { });
}

// 获取URL上的origin
util.getOrigin = function () {
    let origin = "";
    if (location.origin != location.href.split('/#')[0]) {
        origin = location.href.split('/#')[0];
    } else {
        origin = location.origin;
    }
    return origin
}

util.renderText = function (h, value = '') {
    if (typeof h === 'function') {
        return h(
            'div', {
                attrs: {
                    class: 'ivu-table-cell ivu-table-cell-ellipsis',
                    title: value
                }
            },
            value
        );
    }
}
let tpCodeToTemplate = {
    "employee-serve-fee-before": "cfpa"
}
util.getTemplateCode = function (tpcode) {
    return tpCodeToTemplate[tpcode] || tpcode;
}
/*
 *四舍五入的方法
 *@param val  代表传进来要处理的数值
 *@param weishu 要精确到的小数位数
 *
 *@return 返回计算的数值
 **备注：此方法适合于进行加减但是不适合用于两个很小的数值进行相乘（比如：0.000001*0.00000001）
 *如果要计算2个数值相乘请使用multiply方法
 */
util.round = function (val, weishu) {
    var num, intPart, dotPart, dotPos, destNum;
    var m = weishu;
    //处理传进来的是科学计数法的问题，只针对极小的数字
    if (Math.abs(val) < 0.5 * Math.pow(0.1, weishu)) {
        return 0;
    }
    //小数点位置
    dotPos = String(val).indexOf(".");
    //整数，不处理
    if (dotPos == -1) {
        destNum = val;
        //有小数
    } else {
        //整数部分(含小数点)
        intPart = Math.abs(String(val).substring(0, dotPos));
        //小数部分
        dotPart = String(val).substring(dotPos + 1);
        //小数位数小于m，不处理
        if (dotPart.length <= m) {
            destNum = val;
            //小数位数大于m
        } else {

            var tmp = new Array();
            for (var i = 0; i <= m; i++) {
                //小数点后第i位数
                tmp[i] = String(dotPart).charAt(i);
            }
            //小数点后第m+1位数>5第m位数+1
            if (tmp[m] >= 5) {
                //小数点后第m位数加1
                if (tmp[m - 1] < 9) {
                    tmp[m - 1] = Number(tmp[m - 1]) + Number(1);
                } else {
                    tmp[m - 1] = 0;
                    for (var k = m - 2; k >= 0; k--) {
                        if (tmp[k] == 9) {
                            tmp[k] = 0;
                            if (k == 0) { //小数位数的第一位
                                //整数位数加1
                                intPart = Number(intPart) + Number(1);
                                break;
                            }
                        } else { //
                            tmp[k] = Number(tmp[k]) + Number(1);
                            break;
                        }
                    }
                    //如果是保留1位小数
                    if (m == 1) {
                        intPart = Number(intPart) + Number(1);
                    }
                }
                //整数与小数合并
                dotPart = "";
                for (var i = 0; i < m; i++) {
                    dotPart = dotPart + String(tmp[i]);
                }
                destNum = intPart + "." + dotPart;
            } else {
                //整数与小数合并
                dotPart = "";
                for (var i = 0; i < m; i++) {
                    dotPart = dotPart + String(tmp[i]);
                }
                destNum = intPart + "." + dotPart;
            }
            if (val < 0 && parseFloat(destNum) > 0) {
                destNum = "-" + destNum;
            }
        }
    }
    return parseFloat(destNum);
}

/*
 *四舍五入的方法
 *@param val  代表传进来要处理的数值
 *默认精确到2位小数
 *
 *@return 返回计算的数值
 **备注：此方法适合于进行加减但是不适合用于两个很小的数值进行相乘（比如：0.000001*0.00000001）
 *如果要计算2个数值相乘请使用multiply方法
 */
util.round2 = function (val) {
    return util.round(val, 2);
}
/*
 *计算2个精确小数的浮点数相乘，精确度保留为y位小数
 *@
 *@param a 数字1
 *@param b 数字2
 *@param y 要精确到的小数位数
 *比如multiply(0.2,0.02,3) 表示计算0.2与0.02的乘积，结果保留3为小数
 *@return 返回计算的数值
 *
 */
util.multiply = function (a, b, y) {
    var stra = new String(a);
    var strb = new String(b);
    //计算出来a有几位小数
    var aLength = 0;
    if (stra.indexOf(".") > 0) {
        aLength = (stra.substring((stra.indexOf(".") + 1), stra.length)).length;
    }
    //计算出来b有几位小数
    var bLength = 0;
    if (strb.indexOf(".") > 0) {
        bLength = (strb.substring((strb.indexOf(".") + 1), strb.length)).length;
    }
    //把a扩大（10*小数位数倍）
    //var va = a*Math.pow(10,aLength);
    //var vb = b*Math.pow(10,bLength);  00003
    var va = stra.replace(".", "");
    var vb = strb.replace(".", "");
    var vaLength = va.length; //
    for (var i = 0; i < vaLength - 1 && vaLength > 0; i++) { //去掉所有的小数点全部转化为整数进行处理
        if (va.charAt(0) == 0) { //如果左边的第一个数字为0
            va = va.substring(1, va.length); //就截掉左边的数字0
        } else {
            break;
        }
    }
    //app.alert("va="+va);
    var vbLength = vb.length; //
    for (var i = 0; i < vbLength - 1 && vbLength > 0; i++) { //去掉所有的小数点全部转化为整数进行处理
        if (vb.charAt(0) == 0) { //如果左边的第一个数字为0
            vb = vb.substring(1, vb.length); //就截掉左边的数字0
        } else {
            break;
        }
    }
    //计算va *vb 
    var c = parseInt(va) * parseInt(vb);
    var flag = "";
    if (c < 0) {
        flag = "-";
        c = -c;
    }
    c = c + "";
    // 前缀0,保证至少有(aLength+bLength+1)位数字
    var sLength = c.length;
    var zero = "";
    for (var i = 0; i < ((aLength + bLength + 1) - sLength); i++) {
        zero = zero + "0";
    }
    c = zero + "" + c;
    var re = "/[+-]?([0-9]+)([0-9]{" + (aLength + bLength) + "})/";
    var vv = flag + c.replace(eval(re), "$1.$2");
    return util.round(vv, y);
}
util.getToday = function () {
    var myDate = new Date();
    var m = myDate.getMonth() + 1;
    var d = myDate.getDate();
    return `${myDate.getFullYear()}-${m < 10 ? '0' + m : m}-${d < 10 ? '0' + d : d}`;
}
//文件下载通用方法
util.downloadFile = function (param = {}, vue) {
    return new Promise((resolve) => {
        vue.$Spin.show({
            render: (h) => {
                return h('div', [
                    h('Icon', {
                        'class': 'demo-spin-icon-load',
                        props: {
                            type: 'load-c',
                            size: 18
                        }
                    }),
                    h('div', '正在努力下载附件，请稍候...')
                ])
            }
        });
        $axios({
            method: param.method || 'get',//方法
            url: `${process.env.API.emsBudgetURL}${param.url}`,//地址
            responseType: 'blob',
            headers: {
                crctoken: sessionStorage.crctoken
            },
            data: param.data || {}
        }).then(response => {
            if (!response.data) {
                return
            }
            let url = window.URL.createObjectURL(new Blob([response.data]));
            let _fileName = response.headers['content-disposition'].split("=");
            let fileName = param.name || (!!_fileName && _fileName.length > 1 ? _fileName[1] : 'file');
            //兼容IE10+、edge
            if (window.URL.createObjectURL(new Blob()).indexOf(location.host) < 0) {
                if (window.navigator.msSaveOrOpenBlob) {//IE10+方法
                    const blobObject = new Blob([response.data], { type: 'text/html' });
                    window.navigator.msSaveOrOpenBlob(blobObject, decodeURI(fileName));
                }
                //兼容chrome、fireFox
            } else {
                let link = document.createElement('a')
                link.style.display = 'none'
                link.href = url
                link.setAttribute('download', decodeURI(fileName))
                document.body.appendChild(link)
                link.click()
            };
            vue.$Spin.hide();
            resolve({
                msg: "导出成功"
            })
        })
    })
}
export default util;